<?php

 class Category
 {
  var $categoryID;
  var $parentCategoryID;
  var $title;
  var $description;

  var $projectCount;
  var $parentCategory;

  function Category()
  {
   $this->parentCategory = false;
  }

  function getDeepProjectCount($categoryID = "", $parentID = 0)
  {
   global $g_categories;

   if($categoryID == "")
   {
    $categoryID = $this->categoryID;
   }

   $count = $this->projectCount;

   $root = $g_categories->getChildren($categoryID);

   foreach($root AS $catID => $cat)
   {
    $count = $count + $cat->getDeepProjectCount();
   }

   return $count;
  }

  function getPath()
  {
   $parent = $this->getParentCategory();

   $path = $this->title;

   if(!($parent===false))
   {
    $path = $this->parentCategory->getPath()."/".$path;
   }

   return $path;
  }

  function getParentPath()
  {
   $parent = $this->getParentCategory();

   if($parent===false || $parent=="")
   {
    return false;
   }

   return $parent->getPath();
  }

  function getLevel()
  {
   $parent = $this->getParentCategory();

   $cnt = 1;

   if(!($parent===false))
   {
    $cnt = $cnt + $this->parentCategory->getLevel();
   }

   return $cnt;
  }

  function getParentCategory()
  {
   global $g_categories;

   if(!isset($this->parentCategoryID) || $this->parentCategoryID==0)
   {
    return false;
   }

   if(!isset($this->parentCategory) || $this->parentCategory===false)
   {
    $this->parentCategory = $g_categories->getCategoryByID($this->parentCategoryID);
   }

   return $this->parentCategory;
  }

  function getChildren()
  {
   global $g_categories;

   return $g_categories->getChildren($this->parentCategoryID);
  }

  function getChildrenList()
  {
   global $g_categories;

   return $g_categories->getChildrenList($this->parentCategoryID);
  }

  function isMemberOf($categoryID)
  {
   if($this->parentCategoryID == $categoryID)
   {
    return true;
   }

   if($this->categoryID == 0)
   {
    return false;
   }

   $parent = $this->getParentCategory();

   if($parent===false)
   {
    return false;
   }

   return $parent->isMemberOf($categoryID);
  }

  function store()
  {
   global $db_database;

   if(!is_numeric($this->categoryID))
   {
    $this->categoryID = 0;
   }

   if($this->categoryID==0)
   {
    $sql = "INSERT INTO Category ";
    $sql.= "(ParentCategoryID,Title,Description) ";
    $sql.= "VALUES (";
    $sql.= "'".$this->parentCategoryID."',";
    $sql.= "'".$db_database->escape_string($this->title)."',";
    $sql.= "'".$db_database->escape_string($this->description)."')";
   }
   else
   {
    $sql = "UPDATE Category SET ";
    $sql.= "ParentCategoryID = '".$this->parentCategoryID."',";
    $sql.= "Title = '".$db_database->escape_string($this->title)."',";
    $sql.= "Description = '".$db_database->escape_string($this->description)."' ";
    $sql.= "WHERE CategoryID = '".$this->categoryID."'";
   }

   $result = $db_database->query($sql);
  }

  function isUsed()
  {
   global $db_database;

   if($this->categoryID=="")
   {
    return false;
   }

   $sql = "SELECT count(*) as count FROM Project WHERE CategoryID = ".$this->categoryID;

   $result = $db_database->query($sql);
   $array = $db_database->fetch_array($result);
   $count = $array["count"];

   if(is_numeric($count) && $count>0)
   {
    return true;
   }

   $sql = "SELECT count(*) as count FROM Category WHERE ParentCategoryID = ".$this->categoryID;

   $result = $db_database->query($sql);
   $array = $db_database->fetch_array($result);
   $count = $array["count"];

   if(is_numeric($count) && $count>0)
   {
    return true;
   }

   return false;
  }

  function usedBy()
  {
   // generate a report
   return "By something";
  }

  function remove()
  {
   global $db_database,$g_categories;

   if($this->categoryID=="")
   {
    return;
   }

   $sql = "DELETE FROM Category WHERE CategoryID = ".$this->categoryID;

   $result = $db_database->query($sql);

   echo $db_database->getError();
  }

  function toString($html=true)
  {
   if($html)
   {
    $eol = "<BR />";
   }
   else
   {
    $eol = "\n";
   }

   $str = "";


   $str.= "CategoryID = $this->categoryID $eol";
   $str.= "ParentCategoryID = $this->parentCategoryID $eol";
   $str.= "Title = $this->title $eol";
   $str.= "Description = $this->description $eol";

   return $str;
  }

 }

?>
