<?php

 $g_donations = new Donations();

 class Donations
 {
  function Donations()
  {
  }

  function getAmountFromPeriod($start,$end,$status=false)
  {
   global $db_database;

   $sql = "SELECT SUM(Amount) as TotalAmount FROM Donation WHERE Date>='$start' AND Date<='$end' ";

   if(is_numeric($status))
   {
    $sql.= " AND Status=$status";
   }

   $result = $db_database->query($sql);
   if($result===false)
   {
    return false;
   }

   $array = $db_database->fetch_array($result);
   $amount = $array["TotalAmount"];

   if(!is_numeric($amount))
   {
    $amount=0;
   }

   return $amount;
  }

  function getDonationsFromPeriod($start,$end,$status=false)
  {
   global $db_database;

   $sql = "SELECT * FROM Donation WHERE Date>='$start' AND Date<='$end' ";

   if(is_numeric($status))
   {
    $sql.= "AND Status=$status ";
   }

   $result = $db_database->query($sql);
   if($result===false)
   {
    return false;
   }

   return $this->resultIntoArray($result);
  }


  function getDonationByID($donationid)
  {
   $donation = new Donation();
   $donation->donationID = $donationid;
   $res = $donation->load();

   if($res===false)
   {
    return false;
   }

   return $donation;
  }

  function getDonationByUniqueID($uniqueid)
  {
   $donation = new Donation();
   $donation->uniqueID = $uniqueid;
   $res = $donation->load();

   if($res===false)
   {
    return false;
   }

   return $donation;
  }

  

  function getDonationsByProjectID($projectid,$status=false)
  {
   global $db_database;

   $sql = "SELECT * FROM Donation WHERE ProjectID = '$projectid' ";

   if(is_numeric($status))
   {
    $sql .= "AND Status='$status' ";
   }

   $sql.= "ORDER BY Date DESC";

   $result = $db_database->query($sql);
   if($result===false)
   {
    return false;
   }
   return $this->resultIntoArray($result);
  }

  function getDonationsByPaypalEmail($paypalEmail,$status=false)
  {
   global $db_database;

   $sql = "SELECT * FROM Donation WHERE PaypalEmail = '$paypalEmail' ";

   if(is_numeric($status))
   {
    $sql.= " AND Status=$status ";
   }

   $result = $db_database->query($sql);
   if($result===false)
   {
    return false;
   }
   return $this->resultIntoArray($result);
  }

  function getTotalDonations($status=false)
  {
   global $db_database;

   $sql = "SELECT SUM(Amount) AS Amount, SUM(OriginalAmount) AS OriginalAmount FROM Donation ";

   if(is_numeric($status))
   {
    $sql.= "WHERE Status=$status ";
   }

   $result = $db_database->query($sql);

   $data["Amount"] = 0;
   $data["OriginalAmount"] = 0;

   if($result===false)
   {
    return $data;
   }

   $array = $db_database->fetch_array($result);

   if(!is_array($array))
   {
    return $data;
   }

   $data["Amount"] = $array["Amount"];
   $data["OriginalAmount"] = $array["OriginalAmount"];

   return $data;

  }

  function getDonatedProjectCount($status=false)
  {
   global $db_database;

   $sql = "SELECT COUNT(DISTINCT ProjectID) AS count FROM Donation ";

   if(is_numeric($status))
   {
    $sql.= " WHERE Status=$status ";
   }
   
   $result = $db_database->query($sql);
   
   $array = $db_database->fetch_array($result);
   $count = $array["count"];
  
   return $count;
  }

  function getDonatorCount($status=false)
  {
   global $db_database;

   $sql = "SELECT COUNT(DISTINCT PaypalEmail) AS count FROM Donation ";
   if(is_numeric($status))
   {
    $sql.= "WHERE Status=$status";
   }

   $result = $db_database->query($sql);

   $array = $db_database->fetch_array($result);
   $count = $array["count"];

   return $count;
  }

  function getTopProjects($status=false,$orderby="",$order="",$start=0,$amount=0)
  {
   global $db_database,$g_projects;
   $sql="select Donation.ProjectID,SUM(Donation.Amount) AS Amount, SUM(Donation.OriginalAmount) AS OriginalAmount, Project.* FROM Project,Donation WHERE Project.ProjectID=Donation.ProjectID ";

   if(is_numeric($status))
   {
    $sql.= " AND Donation.Status=$status ";
   }

   $sql .= "GROUP BY Donation.ProjectID ";

   if($orderby!="")
   {
    $sql.= "ORDER BY $orderby $order ";
   }

   if($amount!=0)
   {
    $sql.= "LIMIT $start,$amount";
   }

   $result = $db_database->query($sql);
   if($result===false)
   {
    return $list;
   }

   return $g_projects->resultIntoArray($result);
  }

  function getDonationToplist($status=false, $orderby="",$order="",$start=0,$amount=0)
  {
   global $db_database;
   $sql = "select PaypalName, PaypalEmail, SUM(Amount) AS TotalAmount, SUM(OriginalAMount) AS TotalOriginalAmount FROM Donation ";

   if(is_numeric($status))
   {
    $sql.= " WHERE Status=$status ";
   }

   $sql .= "GROUP BY PaypalName, PaypalEmail ";

   $mirror = false;
   if($orderby=="TotalAmount" || $orderby=="TotalOriginalAmount")
   {
    $mirror = true;
   }

   if($mirror)
   {
    if($order=="" || $order=="ASC")
    {
     $order = "DESC";
    }
    else
    {
     $order = "ASC";
    }
   }

   if($orderby!="")
   {
    $sql.= "ORDER BY $orderby $order ";
   }

   if($amount!=0)
   {
    $sql.= "LIMIT $start,$amount";
   }

   $list = array();
   $result = $db_database->query($sql);
   if($result===false)
   {
    return $list;
   }

   while(is_array($array = $db_database->fetch_array($result)))
   {
    $detail = array();

    $paypalname = $array["PaypalName"];
    $paypalemail = $array["PaypalEmail"];
    $totalamount = $array["TotalAmount"];
    $totaloriginalamount = $array["TotalOriginalAmount"];

    $detail["PaypalName"] = $paypalname;
    $detail["PaypalEmail"] = $paypalemail;
    $detail["TotalAmount"] = $totalamount;
    $detail["TotalOriginalAmount"] = $totaloriginalamount;
    $list[$paypalemail] = $detail;
   }

   return $list;
  }


  function resultIntoArray($result)
  {
   global $db_database;

   $list = array();

   while(is_array($array = $db_database->fetch_array($result)))
   {
    $donation = new Donation();
    $donation->insertArray($array);
    $list[$donation->donationID] = $donation;
   }

   return $list;
  }

 }

?>
