<?php

 $g_events = new Events();

 class Events
 {
  function Events()
  {
  }

  function getEventByID($eventid)
  {
   $event = new Event();
   $event->eventID = $eventid;
   $res = $event->load();

   if($res===false)
   {
    return false;
   }

   return $event;
  }

  function getEventByTitle($title)
  {
   $event = new Event();
   $event->title = $title;
   $res = $event->load();

   if($res===false)
   {
    return false;
   }

   return $event;
  }

  function listEvents($user)
  {
   global $db_database;

   $sql = "SELECT * FROM Event WHERE AccessLevelID<=$user->accessLevelID ORDER BY Title";

   $result = $db_database->query($sql);
   if($result===false)
   {
    return false;
   }

   return $this->resultIntoArray($result);
  }

  function resultIntoArray($result)
  {
   global $db_database;

   $list = array();

   while(is_array($array = $db_database->fetch_array($result)))
   {
    $event = new Event();
    $event->insertArray($array);
    $list[$event->eventID] = $event;
   }

   return $list;
  }


  function consumeEvent($eventTitle,$text,$title,$fromUserID)
  {
   // Need to check if a user should always receive an email for all messages
   // sent to it. (If the user has a MESSAGEASEMAIL subscription)

   global $g_subscriptions,$g_users;
 
   $to_message = $g_subscriptions->getMessageSubscribersByTitle($eventTitle);
   $to_email = $g_subscriptions->getEmailSubscribersByTitle($eventTitle);

   $time = time();

   // First, create all messages
   for($i=0;$i<count($to_message);$i++)
   {
    $user = $g_users->getUserByID($to_message[$i]);

    $message = new Message();

    $message->title = $title;
    $message->text = $text;

    if(is_numeric($fromUserID) && $fromUserID>0)
    {
     $message->fromUserID = $fromUserID;
    }
    else
    {
     $message->fromUserID = 0;
    }

    $message->userID = $user->userID;
    $message->toUserID = $user->userID;
    $message->setMarked(false);
    $message->setread(false);
    $message->readDate = 0;
    $message->createdDate = $time;
    $message->folderID = 1;
    $message->store();
   }

   // Secondly, send all emails
   if(is_numeric($fromUserID) && $fromUserID>0)
   {
    $fromuser = $g_users->getUserByID($fromUserID);
    $_message = "From: ".$fromuser->username."\n\n";
   }
   $_subject = $title;
   $_message.=$text;
   $_header = "From: $g_mail_name <$g_mail>\r\n";
   $_header.= "Reply-To: $g_mail_name <$g_mail>\r\n";

   for($i=0;$i<count($to_message);$i++)
   {
    $user = $g_users->getUserByID($to_email[$i]);

    $_email = $user->contactEmail;

    $status = mail($_email,$_subject,$_message,$_header);
   }
  }

 }

?>
