<?php

 $g_projects = new Projects();

 class Projects
 {

  function listAllByCategoryPath($categorypath,$statusarray="")
  {
   global $g_categories; 

   $category = $g_categories->getCategoryByPath($categorypath);

   if(!is_object($category))
   {
    return false;
   }

   return $this->listAllByCategoryID($category->categoryID,$statusarray);
  }

  function listAllByCreatedByUserID($createdbyuserid)
  {
   global $db_database;

   if(!is_numeric($createdbyuserid))
   {
    return false;
   }

   $sql = "SELECT * FROM Project WHERE CreatedByUserID='$createdbyuserid' ORDER BY CreatedDate DESC";

   $result = $db_database->query($sql);
   if($result===false)
   {
    return false;
   }
   return $this->resultIntoArray($result);
  }


  function listAllByAssignedToUserID($assignedtouserid)
  {
   global $db_database;

   if(!is_numeric($assignedtouserid))
   {
    return false;
   }

   $sql = "SELECT * FROM Project WHERE AssignedToUserID='$assignedtouserid' ORDER BY CreatedDate DESC";

   $result = $db_database->query($sql);
   if($result===false)
   {
    return false;
   }
   return $this->resultIntoArray($result);
  }

  function listAllByCategoryID($categoryid,$statusarray="")
  {
   global $db_database;

   $sql = "SELECT * FROM Project WHERE CategoryID = '$categoryid' ";

   if(is_array($statusarray))
   {
    if(count($statusarray)>0)
    {
     $sql.= " AND (1=0 ";
     for($i=0;$i<count($statusarray);$i++)
     {
      $sql.=" OR ProjectStatusID = '".$statusarray[$i]."'";
     }
     $sql.=")";
    }
   }

   $sql.= " GROUP BY ProjectID ORDER BY CreatedDate DESC";

   $result = $db_database->query($sql);
   if($result===false)
   {
    return false;
   }
   return $this->resultIntoArray($result);
  }

  function getProjectByID($projectID)
  {
   $_project = new Project();
   $_project->projectID = $projectID;
   $res=$_project->load();

   if($res===false)
   {
    return false;
   }

   $_project = $this->getDonationSumsByProject($_project,1);
   return $_project;
  }

  function listAllByStatusID($statusid)
  {
   global $db_database;

   $sql = "SELECT * FROM Project WHERE ProjectStatusID='$statusid'";
   $sql.= " ORDER BY CreatedDate DESC";

   $result = $db_database->query($sql);
   if($result===false)
   {
    return false;
   }
   return $this->resultIntoArray($result);
  }


  function listAll($statusid,$start=0,$amount=0)
  {
   global $db_database;

   $sql = "SELECT * FROM Project ORDER BY Project.CreatedDate DESC ";
   if(is_numeric($amount) && $amount>0)
   {
    $sql.= "LIMIT $start,$amount";
   }

   $result = $db_database->query($sql);
   if($result===false)
   {
    return false;
   }
   return $this->resultIntoArray($result);
  }

  function getDonationSumsByProject($project,$status=false)
  {
   global $db_database;

   $projectid = $project->projectID;

   if(is_numeric($projectid))
   {

    $sql = "SELECT SUM(Amount) AS Amount, SUM(OriginalAmount) AS OriginalAmount FROM Donation WHERE ProjectID = $projectid ";
    if(is_numeric($status))
    $sql.= "AND Status=$status";

   }

   $result = $db_database->query($sql);

   if($result!==false)
   {
    $array = $db_database->fetch_array($result);
    $project->amount = 0;
    $project->originalAmount = 0;

    $amount = $array["Amount"];
    $originalAmount = $array["OriginalAmount"];

    if(is_numeric($amount))
    {
     $project->amount = $amount;
    }

    if(is_numeric($originalAmount))
    {
     $project->originalAmount = $originalAmount;
    }
   }

   return $project;
  }


  function resultIntoArray($result)
  {
   global $db_database;

   $list = array();

   while(is_array($array = $db_database->fetch_array($result)))
   {
    $project = new Project();

    $project->insertArray($array);
    $project = $this->getDonationSumsByProject($project,1);
    $list[$project->projectID] = $project;
   }
   return $list;
  }
 }

?>
